#!/usr/bin/python

suppress_make_main = True

exec file("../../scripts/make.py")

TARGET = "test_ping"
SRC_FILES = ["test_ping.c", "../ippc.c"]
INCLUDE_PATHS = [".."]
OBJ_FILE_DIR = "../obj"
LINKER_FLAGS = "-lstdc++ -lreadline -lexpat -lncurses"

def main():
    if len(sys.argv) > 1:
        if sys.argv[1] == "clean":
            make_clean(SRC_FILES)
        elif sys.argv[1] == "x" or sys.argv[1] == "rebuild":
            make_clean(SRC_FILES)
            make_binary(TARGET, SRC_FILES, INCLUDE_PATHS)
        else:
            print "Usage:", sys.argv[0], "[clean]"
    else:
        make_binary(TARGET, SRC_FILES, INCLUDE_PATHS)

main()
