#!/usr/bin/python

suppress_make_main = True

exec file("../scripts/make.py")

COMPILER_WRAPPER="../scripts/wtf"
TARGET = "horded.dispatch"
SRC_FILES = ["main.cc", "daemon.cc", "syscall.cc", "net.cc",
             "../ippc/ippc.c", "../ippc/ippc_server.cc",
             "../shared/horde_log.cc",  "../shared/properties.cc",
             "../nmstl/internal.cc", "../nmstl/debug.cc"]
INCLUDE_PATHS = ["..", "../ippc", "../shared", "../nmstl"]
OBJ_FILE_DIR = "obj"
LINKER_FLAGS = "-lstdc++"

def main():
    if len(sys.argv) > 1:
        if sys.argv[1] in ["clean", "x", "rebuild"]:
            add_macro_definitions(sys.argv[2:])
            
            if sys.argv[1] == "clean":
                make_clean(SRC_FILES)
            elif sys.argv[1] == "x" or sys.argv[1] == "rebuild":
                make_clean(SRC_FILES)
                make_binary(TARGET, SRC_FILES, INCLUDE_PATHS)
        else:
            add_macro_definitions(sys.argv[1:])
            make_binary(TARGET, SRC_FILES, INCLUDE_PATHS)
    else:
        make_binary(TARGET, SRC_FILES, INCLUDE_PATHS)

main()
