#
# drop-in replacement for the subprocess module to get
# kill_all_children to run on the soekris boxes, under python 2.3.5.
# rename this to subprocess.py on the soekris box.
#
import os

PIPE="ignored"

class Popen:
    def __init__(self, com_as_list, stdout="ignored"):
        self.command = " ".join(com_as_list)
        cin,cout=os.popen2(self.command)
        self.proc_stdin=cin
        self.proc_stdout=cout

    def communicate(self):
        out=""
        while True:
            x = self.proc_stdout.readline()
            if x == "":
                break
            out += x
        return [out]
        
